Package twisted :: Package internet :: Module interfaces :: Class IReactorFDSet

[show private | hide private]
[frames | no frames]

## Class IReactorFDSet

    Interface --+
                |
               IReactorFDSet

Implement me to be able to use FileDescriptor type resources.

This assumes that your main-loop uses UNIX-style numeric file descriptors (or at least similarly opaque IDs returned from a .fileno() method)

Method Summary
| ``addReader`(self, reader)` addReader(IReadDescriptor) -> None
| ``addWriter`(self, writer)` addWriter(IWriteDescriptor) -> None
| ``removeReader`(self, reader)` removeReader(IReadDescriptor) -> None
| ``removeWriter`(self, writer)` removeWriter(IWriteDescriptor) -> None

Method Details

### addReader(self, reader)

addReader(IReadDescriptor) -> None

### addWriter(self, writer)

addWriter(IWriteDescriptor) -> None

### removeReader(self, reader)

removeReader(IReadDescriptor) -> None

### removeWriter(self, writer)

removeWriter(IWriteDescriptor) -> None

Generated by Epydoc 1.1 on Sat Feb 15 21:19:05 2003 | http://epydoc.sf.net